Strumento di diagnostica DirectX

Strumento di diagnostica DirectX

La documentazione relativa allo Strumento di diagnostica Microsoft® DirectX® contiene i seguenti argomenti:

  • Informazioni sullo Strumento di diagnostica DirectX
  • Informazioni da controllare in caso di problemi
  • Esecuzione di test dei componenti DirectX
  • Modifica delle impostazioni predefinite


Informazioni sullo Strumento di diagnostica DirectX

Lo Strumento di diagnostica Microsoft® DirectX® fornisce informazioni relative ai componenti e ai driver dell'API (interfaccia di programmazione delle applicazioni, Application Programming Interface) DirectX presenti nel sistema. Consente di eseguire test della qualità di audio e grafica e dei fornitori di servizi Microsoft DirectPlay®. Grazie a questo strumento è inoltre possibile disattivare alcune funzionalità di accelerazione hardware.

È possibile utilizzare questo strumento di diagnostica per raccogliere informazioni da fornire telefonicamente a un responsabile dei servizi di supporto tecnico. È inoltre possibile salvare queste informazioni e inserirle in un messaggio di posta elettronica.

Le informazioni sono presentate su una serie di schede. Per passare da una scheda all'altra, utilizzare uno dei metodi seguenti:

  • Fare clic sulle schede.
  • Fare clic sul pulsante Successiva.
  • Selezionare una scheda e premere il tasto freccia SINISTRA o freccia DESTRA.

È inoltre possibile fare clic sul pulsante Salva tutte le informazioni per salvare tutte le informazioni in un file di testo.

Nota È possibile che alcune informazioni, ad esempio la quantità di memoria disponibile in una scheda video, siano approssimative.


Informazioni da controllare in caso di problemi

Se durante l'esecuzione delle applicazioni Microsoft® DirectX® si verificano problemi, sarà possibile individuarne la causa grazie allo Strumento di diagnostica DirectX. Di seguito viene fornito un elenco delle informazioni da cercare:

  • Versioni non corrette dei componenti DirectX. Nel gruppo Note della scheda File DirectX cercare i messaggi di avviso relativi ai file beta e di debug. I file beta sono versioni di prova che non dovrebbero essere installate con le versioni finali. I file di debug sono versioni utilizzate nello sviluppo dei programmi e non dovrebbero ugualmente essere installati con il prodotto finale poiché rallentano notevolmente l'esecuzione delle applicazioni.
  • Scarsa accelerazione hardware. Se l'accelerazione hardware di Microsoft DirectDraw® o Direct3D® non è disponibile, l'esecuzione di alcuni programmi risulterà molto lenta o addirittura impossibile. Nella casella di gruppo Funzionalità DirectX della scheda Schermo verificare se la voce DirectDraw, Direct3D o Accelerazione trama AGP è contrassegnata come "Non disponibile". In caso affermativo, si consiglia di aggiornare l'hardware in uso.
  • Periferica non collegata. Se un joystick o un'altra periferica di input non risponde, è possibile che sia configurata in modo non corretto. Accertarsi che la periferica sia elencata nella scheda Input dello Strumento di diagnostica DirectX. Se non è elencata, aggiungerla utilizzando il Pannello di controllo.
  • Driver non certificati. Microsoft non ha ancora eseguito test sui driver non certificati per verificare se sono completamente compatibili con la versione più recente di DirectX. Questi driver sono elencati nella scheda dei componenti appropriata.


Esecuzione di test dei componenti DirectX

È possibile eseguire test di Microsoft® DirectDraw® e Direct3D® per ogni monitor collegato al sistema in uso. È inoltre possibile eseguire test di DirectSound® per ogni periferica wave di output e test di DirectMusic® per ogni porta per periferiche musicali.

Per eseguire il test di una funzionalità DirectX, fare clic sul pulsante Test sulla scheda appropriata, leggere i messaggi visualizzati e osservare o ascoltare i test. Eseguire ogni test fino alla visualizzazione di un messaggio in cui viene richiesto se il test è stato completato correttamente. Se si sceglie No, non saranno eseguiti ulteriori test.

Per DirectMusic viene eseguito un unico test. Scegliere OK per interrompere la riproduzione della musica indipendentemente dal fatto che sia stata riprodotta correttamente o meno.

È possibile eseguire il test della funzionalità di Microsoft DirectPlay® su un qualsiasi fornitore di servizi disponibile.

Freccia di procedura Per eseguire il test di DirectPlay

  1. Fare clic sul pulsante Test DirectPlay nella scheda Rete. Nella finestra di dialogo Test DirectPlay digitare un nome utente e scegliere un fornitore di servizi. Selezionare Crea nuova sessione e scegliere OK. Se si è scelta una connessione modem, fare clic su Rispondi nella finestra di dialogo Connessione modem per attivare la modalità di risposta automatica del modem.
  2. Eseguire lo Strumento di diagnostica Microsoft DirectX® su un altro computer in grado di stabilire con il primo computer la connessione selezionata. Fare clic sul pulsante Test DirectPlay, digitare un nome utente diverso, scegliere lo stesso fornitore di servizi, fare clic sul pulsante Partecipa a sessione esistente e infine scegliere OK.

    3. Per alcuni tipi di connessione potrebbe essere necessario fornire ulteriori informazioni, ad esempio un numero di telefono. Per una connessione TCP/IP in una rete locale, è possibile lasciare vuota la casella di testo.

  3. Nel secondo computer, nella finestra di dialogo Elenco sessioni contenente il nome della sessione creata nel primo computer, selezionare il nome della sessione e quindi fare clic su OK.
  4. In entrambi i computer dovrebbe venire visualizzata una finestra di chat. Digitare un messaggio nella casella di input di uno dei computer e fare clic sul pulsante Invia. Il messaggio dovrebbe venire visualizzato nell'area di scorrimento della finestra di dialogo di chat in entrambi i computer.


Modifica delle impostazioni predefinite

Nella scheda Audio è possibile impostare un livello di accelerazione hardware diverso spostando il dispositivo di scorrimento. Tale impostazione rimane attiva anche dopo la chiusura dello Strumento di diagnostica Microsoft® DirectX®.

Nota Questa funzionalità non è disponibile in Microsoft Windows® 95.

È possibile disattivare l'accelerazione hardware per Microsoft DirectDraw® o Direct3D®, se tale accelerazione è disponibile. Per eseguire questa operazione, passare alla scheda Schermo di ogni periferica di visualizzazione e fare clic sul pulsante Disattiva. Dopo essere stata disattivata, l'accelerazione hardware non sarà disponibile per alcuna applicazione, anche dopo aver chiuso lo Strumento di diagnostica DirectX. Per riattivare l'accelerazione hardware, fare clic sul pulsante Attiva sulla scheda Schermo appropriata.

Nota Se si disattiva l'accelerazione per DirectDraw, viene disattivata anche l'accelerazione per Direct3D.

È inoltre possibile ignorare la frequenza di aggiornamento del monitor impostata dalle applicazioni a schermo intero DirectDraw. Si consiglia di eseguire questa operazione solo se si verificano problemi di visualizzazione con un'applicazione e vi sono fondati motivi per credere che l'applicazione imposta una frequenza di aggiornamento non corretta.

Freccia di procedura Per impostare una frequenza di aggiornamento diversa

  1. Fare clic sul pulsante Sostituisci nella scheda Altri argomenti.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw selezionare la casella di testo e immettere una frequenza di aggiornamento valida per il monitor in uso.

    3. Quando si esegue tale operazione, il pulsante di opzione Sostituisci con viene selezionato automaticamente.

  3. Scegliere OK.

Freccia di procedura Per annullare l'impostazione manuale della frequenza di aggiornamento in modo che la frequenza venga impostata automaticamente dalle applicazioni DirectDraw

  1. Fare clic sul pulsante Sostituisci nella scheda Altri argomenti.
  2. Nella finestra di dialogo Sostituisci frequenza di aggiornamento di DirectDraw selezionare il pulsante di opzione Impostazioni predefinite e quindi fare clic su OK.


Argomento non trovato

Non è stato trovato nessun argomento corrispondente. Di seguito vengono indicate alcune possibili cause e le soluzioni consigliate:

  • Il file ( con estensione chm) che contiene l'argomento cercato non si trova nella posizione prevista.

    • Soluzione: rieseguire il programma di installazione di MSDN Library.

  • Il file (con estensione chm) che contiene l'argomento corrente o l'argomento cercato non è aggiornato e il collegamento non è più valido.

    • Soluzione: installare la versione più recente di MSDN Library.

  • Il CD di MSDN Library non è inserito nell'unità CD-ROM.

    • Soluzione: inserire il CD di MSDN Library nell'unità CD-ROM.